Pular para o conteúdo
Entrar Cadastre-se

API de Autor do Google Scholar

Recupere o perfil completo de um autor do Google Scholar, incluindo sua lista de publicações, métricas de citação e colegas. Defina engine=google_scholar_author e passe o ID do autor em author_id.

GET https://serp.shifter.io/v1?engine=google_scholar_author&api_key=YOUR_API_KEY
ParameterTypeRequiredDescription
api_keystringyesSua chave de API SERP
enginestringyesDeve ser google_scholar_author
author_idstringyesO ID do autor no Google Scholar
devicestringnodesktop, mobile, ou tablet
view_opstringnoview_citation ou list_colleagues
sortstringnotitle ou pubdate
citation_idstringnoObrigatório quando view_op=view_citation
hlstringnoCódigo de idioma da interface
startintnoDeslocamento de resultado para paginação
numintnoNúmero de resultados por página
Terminal window
curl "https://serp.shifter.io/v1?engine=google_scholar_author&api_key=YOUR_API_KEY&author_id=LSsXyncAAAAJ"
{
"search_parameters": {
"engine": "google_scholar_author",
"author_id": "LSsXyncAAAAJ"
},
"author": {
"name": "Jane Doe",
"affiliations": "Professor, Stanford University",
"email": "Verified email at stanford.edu",
"interests": [ { "title": "Machine Learning" } ],
"thumbnail": "https://scholar.google.com/citations?view_op=view_photo&user=..."
},
"articles": [
{
"title": "Deep learning for computer vision",
"link": "https://scholar.google.com/citations?view_op=view_citation&...",
"citation_id": "u5HHmVD_uO8C",
"year": "2015",
"cited_by": { "value": 4500 }
}
],
"cited_by": {
"table": [ { "citations": { "all": 12000, "since_2019": 8000 } } ]
}
}